=== debian/changelog ===
hubzero-submit-condor (8.6.10-1+deb8) unstable; urgency=low

  * minor packaging updates
  * update license that were wrong on a few packaging files
  * Update to HTCondor version 8.6.10

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 13:33:50 -0400

hubzero-submit-condor (8.2.9-9) unstable; urgency=low

  * normalize rpm build scripts
  * update debian build scripts for new build infrastructure

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 13 Jun 2017 11:05:05 -0400
