=== debian/control ===
Source: hubzero-submit-condor
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), openjdk-7-jdk | openjdk-6-jdk, libvirt-dev
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-submit-condor
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, python, adduser, libc6 (>= 2.11), libgcc1 (>= 1:4.1.1), libldap-2.4-2 (>= 2.4.7), libstdc++6 (>= 4.4.0), libuuid1 (>= 2.16), libvirt0 (>= 0.5.0), libx11-6, libxml2 (>= 2.7.4), zlib1g (>= 1:1.1.4)
Description: HUBzero condor build for hubzero-submit
 HUBzero configuration of condor for submit infrastructure
