## hubzero-submit-condor 8.6.10-2+deb7

=== debian/changelog ===
hubzero-submit-condor (8.6.10-2+deb7) unstable; urgency=low

  * add libgomp dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 13 Jun 2018 16:25:15 -0400

hubzero-submit-condor (8.6.10-1) unstable; urgency=low

  * minor packaging updates
  * update license that were wrong on a few packaging files
  * Update to HTCondor version 8.6.10

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 13:33:50 -0400
