## hubzero-submit-condor 8.6.10-2+deb8

=== debian/changelog ===
hubzero-submit-condor (8.6.10-2+deb8) unstable; urgency=low

  * add libgomp dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 13 Jun 2018 16:25:15 -0400
