## hubzero-submit-condor 8.6.10-3+deb7

=== debian/changelog ===
hubzero-submit-condor (8.6.10-3+deb7) unstable; urgency=low

  * add 8.2.9 upgrade postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 16:21:51 -0400

hubzero-submit-condor (8.6.10-2) unstable; urgency=low

  * add libgomp dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 13 Jun 2018 16:25:15 -0400
