## hubzero-submit-condor 8.6.10-3+deb8

=== Makefile ===
--- 
+++ 
@@ -80,7 +80,8 @@
 	if [ ! -f /var/condor/Grid/etc/condor_config ]; then \
 	sed -e "s/@CONDORVERSION@/$(CONDORVERSION)/" /var/condor/condor_config.in > /var/condor/Grid/etc/condor_config ; \
 	else \
-	sed -e "s/8.0.7/$(CONDORVERSION)/" \
+	sed -e "s/8.2.9/$(CONDORVERSION)/" \
+	    -e "s/8.0.7/$(CONDORVERSION)/" \
             -e "s/8.0.6/$(CONDORVERSION)/" \
             -e "s/7.6.6/$(CONDORVERSION)/" --in-place /var/condor/Grid/etc/condor_config ; \
 	fi
@@ -91,7 +92,8 @@
             -e "s/@CONDORGID@/$(CONDORGID)/" \
             -e "s/@RANDOMLOCKID@/$(RANDOMLOCKID)/" /var/condor/condor_config.local.in > /var/condor/Grid/etc/condor_config.local ; \
 	else \
-	sed -e "s/8.0.7/$(CONDORVERSION)/" \
+	sed -e "s/8.2.9/$(CONDORVERSION)/" \
+	    -e "s/8.0.7/$(CONDORVERSION)/" \
             -e "s/8.0.6/$(CONDORVERSION)/" \
             -e "s/7.6.6/$(CONDORVERSION)/" --in-place /var/condor/Grid/etc/condor_config.local ; \
 	fi
