=== debian/changelog ===
hubzero-submit-condor (8.6.10-3+deb8) unstable; urgency=low

  * add 8.2.9 upgrade postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 16:21:51 -0400
