## hubzero-submit-condor 8.6.10-5+deb7

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-submit-condor
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/Apache-2.0 Apache2
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -18,7 +17,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 ETC=$(DESTDIR)/etc
@@ -32,7 +31,13 @@
 RANDOMLOCKID  := $(shell tr -dc "[:digit:]" < /dev/urandom | head -c 15)
 
 ifeq ($(DISTRIBUTION),Debian)
+# We don't have a binary for 8.6.10 for Debian 9, for now we cheat a little
+# here.
+ifeq ($(MAJORVERSION),9)
+CONDORTARBALL := condor-8.6.13-x86_64_Debian9-stripped.tar.gz 
+else
 CONDORTARBALL := condor-$(CONDORVERSION)-x86_64_Debian$(MAJORVERSION)-stripped.tar.gz 
+endif
 else
 CONDORTARBALL := condor-$(CONDORVERSION)-x86_64_RedHat$(MAJORVERSION)-stripped.tar.gz 
 endif
