=== debian/changelog ===
hubzero-submit-condor (8.6.10-5+deb7) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 16:04:21 -0700

hubzero-submit-condor (8.6.10-4) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 01 May 2020 12:14:38 -0700

hubzero-submit-condor (8.6.10-3) unstable; urgency=low

  * add 8.2.9 upgrade postinst

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 21 Jun 2018 16:21:51 -0400
