=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hubzero-submit-condor
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), openjdk-7-jdk | openjdk-6-jdk, libvirt-dev
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
+Build-Depends: debhelper (>= 8.0.0), openjdk-8-jdk | openjdk-7-jdk | openjdk-6-jdk, libvirt-dev
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org
