## hubzero-submit-condor 8.6.10-5+deb9

=== debian/changelog ===
hubzero-submit-condor (8.6.10-5+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 16:04:21 -0700
